Bug 1251010 - yum groupinstall of RHGS groups are not working on RHEL-7 (CDN and Satellite)
yum groupinstall of RHGS groups are not working on RHEL-7 (CDN and Satellite)
Status: CLOSED CANTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Sreenath G
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 08:12 EDT by Prasanth
Modified: 2018-04-12 02:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-12 02:42:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasanth 2015-08-06 08:12:41 EDT
Description of problem:

yum groupinstall not working in RHEL-7 in RHN.prod. The following groups fails to install: 

#####
yum groupinstall RH-Gluster-Core
yum groupinstall RH-Gluster-NFS-Ganesha
yum groupinstall RH-Gluster-Tools
yum groupinstall RH-Gluster-Samba-Server
yum groupinstall RH-Gluster-AD-Integration
yum groupinstall RH-Gluster-Swift
yum groupinstall RH-Gluster-Nagios-Server
yum groupinstall RH-Gluster-Console
#####

Version-Release number of selected component (if applicable):
[root@dhcp42-215 log]# cat /etc/redhat-storage-release 
Red Hat Gluster Storage Server 3.1

redhat-storage-server-3.1.0.4-1.el7rhgs.noarch


How reproducible: 100%


Steps to Reproduce:
1. Install RHEL-7.1 server
2. Register to RHN Live via Satellite server
3. Add the required RHGS channels
4. Do a group install using the yum groups for RHGS

Actual results: Fails to install the groups

####
[root@dhcp42-215 /]# yum groupinstall RH-Gluster-AD-Integration
Loaded plugins: langpacks, product-id, rhnplugin, subscription-manager
This system is receiving updates from RHN Classic or Red Hat Satellite.
There is no installed groups file.
Maybe run: yum groups mark convert (see man yum)
Warning: group RH-Gluster-AD-Integration does not exist.
Maybe run: yum groups mark install (see man yum)
No packages in any requested group available to install or update

[root@dhcp42-215 /]# yum groupinstall RH-Gluster-Swift
Loaded plugins: langpacks, product-id, rhnplugin, subscription-manager
This system is receiving updates from RHN Classic or Red Hat Satellite.
There is no installed groups file.
Maybe run: yum groups mark convert (see man yum)
Warning: group RH-Gluster-Swift does not exist.
Maybe run: yum groups mark install (see man yum)
No packages in any requested group available to install or update

[root@dhcp42-215 /]# yum grouplist
Loaded plugins: langpacks, product-id, rhnplugin, subscription-manager
This system is receiving updates from RHN Classic or Red Hat Satellite.
There is no installed groups file.
Maybe run: yum groups mark convert (see man yum)
Available environment groups:
   Minimal Install
   Infrastructure Server
   File and Print Server
   Basic Web Server
   Virtualization Host
   Server with GUI
Available Groups:
   Compatibility Libraries
   Console Internet Tools
   Development Tools
   Graphical Administration Tools
   Legacy UNIX Compatibility
   Scientific Support
   Security Tools
   Smart Card Support
   System Administration Tools
   System Management
Done
#####

Expected results: yum groupinstall should work


Additional info:
Comment 3 Sreenath G 2015-09-09 11:37:44 EDT
Compose file (comps.xml) uploaded to both RHN & CDN prod and able to read the same using RCM commands.
Comment 10 Sreenath G 2018-04-12 02:42:33 EDT
Yum groups for RHN/CDN when implemented was not stable and was affecting the repo, especially in prod. So closing this dependent bug as CANTFIX

Note You need to log in before you can comment on or make changes to this bug.